Bug 1566801 - [RFE] Encrypt swift containers in the undercloud
Summary: [RFE] Encrypt swift containers in the undercloud
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo
Version: 14.0 (Rocky)
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: ---
: ---
Assignee: Christian Schwede (cschwede)
QA Contact: Mike Abrams
RHOS Documentation Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-13 02:42 UTC by Ade Lee
Modified: 2020-08-21 13:27 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-08-21 13:27:28 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Ade Lee 2018-04-13 02:42:24 UTC
Description of problem:

* There is a swift container for the overcloud which contains:
    * rendered heat templates for the overcloud deployment
    * autogenerated passwords and every heat parameter we pass
    * Private keys.

* It can be fetched with:
    openstack container list
    mkdir <somewhere to put the container>
    cd <somewhere to put the container>
    openstack container save <container name>
        e.g. openstack container save overcloud

This data -- and any other sensitive data in the undercloud swift containers should be encrypted at rest.  Much of the work to encrypt swift containers is already completed.

For example, here is a set of patches which enable swift encryption using barbican in the undercloud.

https://review.openstack.org/#/q/topic:secret-management+(status:open+OR+status:merged)

Comment 2 Tzach Shefi 2018-07-15 10:25:06 UTC
Thiago, 
Would we need new/missing THT support to enable this feature?


Note You need to log in before you can comment on or make changes to this bug.